#ifndef STACK_H_
#define STACK_H_


//
// Include the C standard library header file here
//



//
// Other header files are included here
//



//
// Define the data structure here
//

#define MAX_STACK_LENGTH 64 	// Maximum length of stack


// Stack
struct CSNode;
typedef struct Stack{
	struct CSNode* buffer[MAX_STACK_LENGTH];	// Stack buffer
	int top;  						    // Indicates the position at the top of the stack, not the number of elements in the stack
}Stack;


//
// Declare the function here
//

void InitStack(Stack* pS);
struct CSNode* Push(Stack* pS, struct CSNode* Elem);
struct CSNode* Pop(Stack* pS);
int StackEmpty(Stack* pS);


//
// Declare global variables here
//




#endif /* STACK_H_ */
